# PALEOmodel.jl

```@meta
CurrentModule = PALEOmodel
```
The `PALEOmodel` Julia package provides modules to create and solve a standalone `PALEOboxes.Model`, and to analyse output interactively from the Julia REPL. It implements:
- Numerical solvers (see [PALEOmodel solvers](@ref))
- Data structures to hold model output (see [Output](@ref))
- Output plot recipes (see [Plotting output](@ref))

For examples and further information see the documentation for other PALEOtoolkit components and repositories:
- [PALEOtutorials](https://github.com/PALEOtoolkit/PALEOtutorials.jl) [documentation](https://paleotoolkit.github.io/PALEOtutorials.jl) for tutorial examples.
- [PALEOcopse](https://github.com/PALEOtoolkit/PALEOcopse.jl) [documentation](https://paleotoolkit.github.io/PALEOcopse.jl) an example of a larger model configuration.
- [PALEOboxes](https://github.com/PALEOtoolkit/PALEOboxes.jl) [documentation](https://paleotoolkit.github.io/PALEOboxes.jl), the PALEO framework model coupler.


PALEO documentation follows the recommendations from <https://documentation.divio.com/>

